Subject: Re: [PATCH 00/24] Header cleanups (final splitting of cache.h, and some splitting of other headers)

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 May 2023 08:55:30 -0700

"Elijah Newren via GitGitGadget" <[email-masked]> writes:

> Maintainer notes: (1) This series is built on top of a merge of
> en/header-split-cache-h-part-2 into master, (2) This series has no conflicts
> with next, but has three simple & small conflicts with seen:
>
>  * a textual conflict with tl/notes-separator (affecting builtin/notes.c; to
>    address, nuke the conflict region and add an include of alloc.h after
>    builtin.h)
>  * a textual & semantic conflict with cw/strbuf-cleanup (affecting strbuf.c;
>    to address, delete the conflict region and also delete the include of
>    repository.h)
>  * a semantic conflict with rn/sparse-diff-index (affecting
>    builtin/diff-index.c; to address, add an include of sparse-index.h).

After looking at them myself, I think that the above resolution
makes sense.

> This series continues to focus on splitting declarations from cache.h to
> separate headers, and also cleans up some other small header issues. By
> patch 16, cache.h is gone.

It is a nice touch to update the part of the coding guidelines
document that names which header files other than <git-compat-util.h>
can be the first one to include.